ROUTE(8)

NOMBRE
route - manipula la tabla de encaminamiento IP

SINOPSIS
route [-CFvnee]

route
    [-v] [-A familia] add [-net|-host] objetivo [netmask Nm] [gw Gw] [metric N] [mss M] [window W] [irtt I] [reject] [mod] [dyn] [reinstate] [[dev] If]

route
    [-v] [-A familia] del [-net|-host] objetivo [gw Gw] [netmask Nm] [metric N] [[dev] If]

route
    [-V] [--version] [-h] [--help]

DESCRIPCIÓN
Route manipula la tabla de encaminamiento IP del kernel. Su uso fundamental es el de establecer rutas estáticas hacia ordenadores o redes específicos vía interfaces previamente configuradas con el programa ifconfig(8).

OPCIONES

-v  Selecciona el modo de información detallada.

-A family
    Usa la familia de direcciones especificada (por ejemplo `inet', `inet6').

-n  Muestra direcciones numéricas en vez de tratar de determinar nombres simbólicos de ordenadores. Resulta útil si pretende averiguar por qué la ruta a su servidor de nombres se ha evaporado.

-e  Use el formato de netstat(8) para mostrar la tabla de encaminamiento. -ee generará una línea muy larga con todos los parámetros de la tabla de encaminamiento.

-net
    El objetivo es una red.

-host
    El objetivo es un ordenador.

-F  Muestra la tabla de encaminamiento FIB del núcleo. La disposición de la información se puede cambiar con -e y -ee.

-C  Muestra la caché de rutas del núcleo.

del Borra una ruta.

add Añade una ruta.

objetivo
    La red u ordenador de destino. Se pueden proporcionar direcciones IP en formato decimal con puntos o por medio de nombres de ordenador/red.

netmask Nm
    Este modificador especifica la máscara de red de la ruta que se va a añadir.

gw Gw
    Cualquier paquete IP para la red u ordenador objetivo se encaminará a través del gateway especificado. NOTA: el gateway especificado debe habilitarse en primer lugar. Normalmente esto significa que se ha de establecer una ruta estática hacia ese gateway previamente. Si se especifica la dirección de uno de los interfaces locales, éste se usará para decidir a qué interfaz se encaminarán los paquetes. Este es un truco de compatibilidad con BSD.

metric M
    Configura el campo métrico en la tabla de encaminamiento (usado por demonios de encaminamiento) con el valor M.

mss M
    Establece el tamaño máximo de segmento (MSS) para conexiones por esta ruta con un valor de M bytes. Normalmente sólo se usa para la optimización de las configuraciones de ruta. Su valor es de 536 por defecto.

window W
    Establece el tamaño de la ventana TCP para conexiones por esta ruta con un valor de M bytes. Normalmente sólo se usa en redes AX.25 con manejadores incapaces de manejar tramas una detrás de otra.

irtt I
    Establece el tiempo inicial de recorrido total (irtt) para una conexión por esta ruta con un valor de I milisegundos (1-12000). Normalmente sólo se usa en redes AX.25. Si se omite este valor, se usará el valor por defecto RFC 1122 de 300ms.

reject
    Instala una ruta de bloqueo, que hará que fracase un proceso de búsqueda de ruta. Se usa, por ejemplo, para aislar redes mediante una máscara antes de usar la ruta por defecto. Esto NO debe usarse para hacer cortafuegos.

mod, dyn, reinstate
    Instala una ruta dinámica o modificada. Ambas opciones son normalmente activadas por un demonio de ruta. Sólo para propósitos de diagnóstico.

dev If
    Fuerza la asociación de la ruta con el dispositivo que se especifica, dado que, de otro modo, el núcleo tratará de determinar el dispositivo por sí mismo (mediante la comprobación de las rutas y especificaciones de dispositivo existentes y a dónde se añade la ruta). En la mayoría de los casos esta opción no será necesaria. Si dev If es la última opción de la línea de órdenes, la palabra dev se puede omitir porque es el valor por defecto. De otro modo, el orden de los modificadores de ruta (metric - netmask - gw - dev) no tiene importancia.

EJEMPLOS

route add -net 127.0.0.0
    añade la típica entrada de tipo loopback, usando una máscara de red 255.0.0.0 (red clase A, determinada por la dirección de destino) asociada con el dispositivo "lo" (asumiendo que dicho dispositivo se ha configurado previamente con ifconfig(8)).

route add -net 192.56.76.0 netmask 255.255.255.0 dev eth0
    añade una ruta a la red 192.56.76.x vía "eth0". El modificador de máscara de red de clase C no resulta realmente necesario en este caso dado que 192.* es una dirección IP clase C. Se puede omitir la palabra "dev".

route add default gw mango-gw
    añade una ruta por defecto (que será usada en caso de no poder usar ninguna otra). Todos los paquetes que sigan esta ruta serán encaminados a un gateway por medio de "mango-gw". El dispositivo utilizado para esta ruta dependerá de cómo pueda alcanzarse "mango-gw" - se tendrá que configurar previamente la ruta estática a "mango-gw".

route add ipx4 sl0
    Añade la ruta al anfitrión "ipx4" a través del interfaz SLIP (asumiendo que "ipx4" es el anfitrión SLIP).

route add -net 192.57.66.0 netmask 255.255.255.0 gw ipx4
    Este comando añade la red "192.57.66.x" que ha de ser encaminada vía gateway a través de la dirección anterior hacia el interfaz SLIP.

route add 224.0.0.0 netmask 240.0.0.0 dev eth0
    Este es un caso complicado que se documenta para que la gente sepa cómo utilizarlo. Hace que todas las rutas IP clase D (multicast) vayan vía "eth0". Esta es normalmente la línea de configuración correcta para un núcleo multicasting.

route add 10.0.0.0 netmask 255.0.0.0 reject
    Instala una ruta de rechazo para la red privada "10.x.x.x."

SALIDA
La salida de la tabla de encaminamiento del núcleo se organiza en las columnas siguientes:

Destination
    La red u ordenador anfitrión de destino.

Gateway
    La dirección del gateway o "*" si no hay ninguno configurado.

Genmask
    La máscara de red para la dirección de destino; '255.255.255.255' si el destino es un ordenador y '0.0.0.0' para la ruta por defecto.

Flags
    Las posibles flags son:
    U (la ruta está activada (up))
    H (el objetivo es un ordenador anfitrión (host))
    G (usa un gateway)
    R (restablece una ruta para encaminamiento dinámico)
    D (instalada dinámicamente por un demonio o redirección)
    M (modificada a partir del demonio de ruta o redirección)
    ! (ruta de rechazo)

Metric
    La "distancia" al objetivo (normalmente se cuenta en saltos). No se usa con los últimos núcleos, pero puede que lo necesiten los demonios de ruta.

Ref Número de referencias a este ruta. (No se usa en el núcleo Linux)

Use Cuenta el número de búsquedas para esta ruta. Dependiendo del uso de -F y -C, se referirá bien a los errores de caché de ruta (-F) o a los aciertos (-C).

Iface
    Interfaz a través de la cual se enviarán los paquetes para esta ruta.

MSS Tamaño máximo de segmento por defecto de las conexiones TCP por esta ruta.

Window
    Tamaño de ventana por defecto para conexiones TCP por esta ruta.

irtt
    Valor RTT inicial (tiempo del viaje de ida y vuelta). El kernel usa este valor para averiguar los parámetros del protocolo TCP óptimos sin tener que esperar respuestas (posiblemente lentas).

HH (sólamente con caché)
    El número de entradas ARP y de rutas en caché que se refieren a las cabecerás hardware que hay en caché para la ruta en caché. Será -1 si no se necesita una dirección hardware para el interfaz de la ruta en caché (por ejemplo, lo).

Arp (sólamente con caché)
    Indica si la dirección de hardware para la ruta en caché está puesta al día o no.

FICHEROS
/proc/net/ipv6_route
/proc/net/route
/proc/net/rt_cache

VÉASE TAMBIÉN
ifconfig(8), netstat(8), arp(8), rarp(8)

HISTORIA
Route para Linux fue escrito originalmente por Fred N. van Kempen, <waltje@uwalt.nl.mugnet.org> y modificado por Johannes Stille y Linus Torvalds para pl15. Alan Cox añadió el mss y las opciones de ventanas para Linux 1.1.22, soporte irtt y su fusión con netstat de Bernd Eckenfels.

AUTOR
Mantenido en la actualidad por Phil Blundell <Philip.Blundell@pobox.com>.